Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1888118 - Memory requests not specified for image registry operator
Summary: Memory requests not specified for image registry operator
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Image Registry
Version: 4.6
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.7.0
Assignee: Oleg Bulatov
QA Contact: Wenjing Zheng
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-10-14 06:30 UTC by Ricardo Maraschini
Modified: 2021-02-24 15:26 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: the operator pod does not have memory requests Consequence: in case of memory pressure on the node, the operator might be OOM-killed before other BestEffort containers Fix: add memory request Result: the operator won't be killed if there are other BestEffort containers on the node
Clone Of:
Environment:
Last Closed: 2021-02-24 15:25:41 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-image-registry-operator pull 628 0 None closed Bug 1888118: Add memory request for operator 2021-02-17 18:21:53 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:26:09 UTC

Description Ricardo Maraschini 2020-10-14 06:30:48 UTC
Description of problem:

By default openshift does not specify memory requests and limits for the image registry operator.


Version-Release number of selected component (if applicable):

4.6

How reproducible:

Always


Steps to Reproduce:
1. oc get -o json pod operator-pod |jq ".spec.containers[].resources"

Actual results:

{
  "requests": {
    "cpu": "10m"
  }
}

Expected results:

{
  "requests": {
    "cpu": "10m"
    "memory": "<some value>"
  },
  "limits": {
    "cpu": "10m"
    "memory": "<some value>"
  }
}

Comment 1 Oleg Bulatov 2020-10-14 14:38:54 UTC
The operator doesn't need limits. So expected results:

{
  "requests": {
    "cpu": "10m"
    "memory": "<some value>"
  }
}

Comment 3 Wenjing Zheng 2020-10-26 07:44:45 UTC
$ oc get -o json pod cluster-image-registry-operator-5b6f5ff8b-rwwgp |jq ".spec.containers[].resources"
{
  "requests": {
    "cpu": "10m",
    "memory": "50Mi"
  }
}
Verified on 4.7.0-0.nightly-2020-10-24-155529.

Comment 6 errata-xmlrpc 2021-02-24 15:25:41 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.